<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for CreditsafeDescriptionV2Array ArrayType
 * @subpackage Arrays
 */
class CreditsafeDescriptionV2Array extends AbstractStructArrayBase
{
    /**
     * The item
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\CreditsafeDescriptionV2[]
     */
    public $item;
    /**
     * Constructor method for CreditsafeDescriptionV2Array
     * @uses CreditsafeDescriptionV2Array::setItem()
     * @param \StructType\CreditsafeDescriptionV2[] $item
     */
    public function __construct(array $item = array())
    {
        $this
            ->setItem($item);
    }
    /**
     * Get item value
     * @return \StructType\CreditsafeDescriptionV2[]|null
     */
    public function getItem()
    {
        return $this->item;
    }
    /**
     * This method is responsible for validating the values passed to the setItem method
     * This method is willingly generated in order to preserve the one-line inline validation within the setItem method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateItemForArrayConstraintsFromSetItem(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $creditsafeDescriptionV2ArrayItemItem) {
            // validation for constraint: itemType
            if (!$creditsafeDescriptionV2ArrayItemItem instanceof \StructType\CreditsafeDescriptionV2) {
                $invalidValues[] = is_object($creditsafeDescriptionV2ArrayItemItem) ? get_class($creditsafeDescriptionV2ArrayItemItem) : sprintf('%s(%s)', gettype($creditsafeDescriptionV2ArrayItemItem), var_export($creditsafeDescriptionV2ArrayItemItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The item property can only contain items of type \StructType\CreditsafeDescriptionV2, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set item value
     * @throws \InvalidArgumentException
     * @param \StructType\CreditsafeDescriptionV2[] $item
     * @return \ArrayType\CreditsafeDescriptionV2Array
     */
    public function setItem(array $item = array())
    {
        // validation for constraint: array
        if ('' !== ($itemArrayErrorMessage = self::validateItemForArrayConstraintsFromSetItem($item))) {
            throw new \InvalidArgumentException($itemArrayErrorMessage, __LINE__);
        }
        $this->item = $item;
        return $this;
    }
    /**
     * Add item to item value
     * @throws \InvalidArgumentException
     * @param \StructType\CreditsafeDescriptionV2 $item
     * @return \ArrayType\CreditsafeDescriptionV2Array
     */
    public function addToItem(\StructType\CreditsafeDescriptionV2 $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\CreditsafeDescriptionV2) {
            throw new \InvalidArgumentException(sprintf('The item property can only contain items of type \StructType\CreditsafeDescriptionV2, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->item[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\CreditsafeDescriptionV2|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\CreditsafeDescriptionV2|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\CreditsafeDescriptionV2|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\CreditsafeDescriptionV2|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\CreditsafeDescriptionV2|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string item
     */
    public function getAttributeName()
    {
        return 'item';
    }
}
