<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for BelgianBusinessAddress StructType
 * @subpackage Structs
 */
class BelgianBusinessAddress extends AbstractStructBase
{
    /**
     * The street
     * @var string
     */
    public $street;
    /**
     * The house_number
     * @var int
     */
    public $house_number;
    /**
     * The box
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $box;
    /**
     * The country_code
     * @var string
     */
    public $country_code;
    /**
     * The municipality
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $municipality;
    /**
     * The post_code
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $post_code;
    /**
     * Constructor method for BelgianBusinessAddress
     * @uses BelgianBusinessAddress::setStreet()
     * @uses BelgianBusinessAddress::setHouse_number()
     * @uses BelgianBusinessAddress::setBox()
     * @uses BelgianBusinessAddress::setCountry_code()
     * @uses BelgianBusinessAddress::setMunicipality()
     * @uses BelgianBusinessAddress::setPost_code()
     * @param string $street
     * @param int $house_number
     * @param string $box
     * @param string $country_code
     * @param string $municipality
     * @param string $post_code
     */
    public function __construct($street = null, $house_number = null, $box = null, $country_code = null, $municipality = null, $post_code = null)
    {
        $this
            ->setStreet($street)
            ->setHouse_number($house_number)
            ->setBox($box)
            ->setCountry_code($country_code)
            ->setMunicipality($municipality)
            ->setPost_code($post_code);
    }
    /**
     * Get street value
     * @return string|null
     */
    public function getStreet()
    {
        return $this->street;
    }
    /**
     * Set street value
     * @param string $street
     * @return \StructType\BelgianBusinessAddress
     */
    public function setStreet($street = null)
    {
        // validation for constraint: string
        if (!is_null($street) && !is_string($street)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($street, true), gettype($street)), __LINE__);
        }
        $this->street = $street;
        return $this;
    }
    /**
     * Get house_number value
     * @return int|null
     */
    public function getHouse_number()
    {
        return $this->house_number;
    }
    /**
     * Set house_number value
     * @param int $house_number
     * @return \StructType\BelgianBusinessAddress
     */
    public function setHouse_number($house_number = null)
    {
        // validation for constraint: int
        if (!is_null($house_number) && !(is_int($house_number) || ctype_digit($house_number))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($house_number, true), gettype($house_number)), __LINE__);
        }
        $this->house_number = $house_number;
        return $this;
    }
    /**
     * Get box value
     * @return string|null
     */
    public function getBox()
    {
        return $this->box;
    }
    /**
     * Set box value
     * @param string $box
     * @return \StructType\BelgianBusinessAddress
     */
    public function setBox($box = null)
    {
        // validation for constraint: string
        if (!is_null($box) && !is_string($box)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($box, true), gettype($box)), __LINE__);
        }
        $this->box = $box;
        return $this;
    }
    /**
     * Get country_code value
     * @return string|null
     */
    public function getCountry_code()
    {
        return $this->country_code;
    }
    /**
     * Set country_code value
     * @param string $country_code
     * @return \StructType\BelgianBusinessAddress
     */
    public function setCountry_code($country_code = null)
    {
        // validation for constraint: string
        if (!is_null($country_code) && !is_string($country_code)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($country_code, true), gettype($country_code)), __LINE__);
        }
        $this->country_code = $country_code;
        return $this;
    }
    /**
     * Get municipality value
     * @return string|null
     */
    public function getMunicipality()
    {
        return $this->municipality;
    }
    /**
     * Set municipality value
     * @param string $municipality
     * @return \StructType\BelgianBusinessAddress
     */
    public function setMunicipality($municipality = null)
    {
        // validation for constraint: string
        if (!is_null($municipality) && !is_string($municipality)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($municipality, true), gettype($municipality)), __LINE__);
        }
        $this->municipality = $municipality;
        return $this;
    }
    /**
     * Get post_code value
     * @return string|null
     */
    public function getPost_code()
    {
        return $this->post_code;
    }
    /**
     * Set post_code value
     * @param string $post_code
     * @return \StructType\BelgianBusinessAddress
     */
    public function setPost_code($post_code = null)
    {
        // validation for constraint: string
        if (!is_null($post_code) && !is_string($post_code)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($post_code, true), gettype($post_code)), __LINE__);
        }
        $this->post_code = $post_code;
        return $this;
    }
}
