<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CompliancePerson StructType
 * @subpackage Structs
 */
class CompliancePerson extends AbstractStructBase
{
    /**
     * The compliance_person_id
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var int
     */
    public $compliance_person_id;
    /**
     * The last_name
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var string
     */
    public $last_name;
    /**
     * The sanctions
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var \ArrayType\ComplianceSanctionReferenceArray
     */
    public $sanctions;
    /**
     * The flags
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var \ArrayType\StringArray
     */
    public $flags;
    /**
     * The aliases
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var \ArrayType\StringArray
     */
    public $aliases;
    /**
     * The addresses
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var \ArrayType\ComplianceAddressReferenceArray
     */
    public $addresses;
    /**
     * The roles
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var \ArrayType\ComplianceRoleReferenceArray
     */
    public $roles;
    /**
     * The related_businesses
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var \ArrayType\ComplianceBusinessReferenceArray
     */
    public $related_businesses;
    /**
     * The related_persons
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var \ArrayType\CompliancePersonReferenceArray
     */
    public $related_persons;
    /**
     * The notes
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var \ArrayType\ComplianceNoteReferenceArray
     */
    public $notes;
    /**
     * The documents
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var \ArrayType\ComplianceDocumentReferenceArray
     */
    public $documents;
    /**
     * The pep_level
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $pep_level;
    /**
     * The first_name
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $first_name;
    /**
     * The middle_name
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $middle_name;
    /**
     * The gender
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $gender;
    /**
     * The date_of_birth
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $date_of_birth;
    /**
     * The date_of_death
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $date_of_death;
    /**
     * The deceased
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $deceased;
    /**
     * The nationality
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $nationality;
    /**
     * The image_url
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $image_url;
    /**
     * The telephone_number
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $telephone_number;
    /**
     * The fax_number
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $fax_number;
    /**
     * The mobile_number
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $mobile_number;
    /**
     * The email
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $email;
    /**
     * Constructor method for CompliancePerson
     * @uses CompliancePerson::setCompliance_person_id()
     * @uses CompliancePerson::setLast_name()
     * @uses CompliancePerson::setSanctions()
     * @uses CompliancePerson::setFlags()
     * @uses CompliancePerson::setAliases()
     * @uses CompliancePerson::setAddresses()
     * @uses CompliancePerson::setRoles()
     * @uses CompliancePerson::setRelated_businesses()
     * @uses CompliancePerson::setRelated_persons()
     * @uses CompliancePerson::setNotes()
     * @uses CompliancePerson::setDocuments()
     * @uses CompliancePerson::setPep_level()
     * @uses CompliancePerson::setFirst_name()
     * @uses CompliancePerson::setMiddle_name()
     * @uses CompliancePerson::setGender()
     * @uses CompliancePerson::setDate_of_birth()
     * @uses CompliancePerson::setDate_of_death()
     * @uses CompliancePerson::setDeceased()
     * @uses CompliancePerson::setNationality()
     * @uses CompliancePerson::setImage_url()
     * @uses CompliancePerson::setTelephone_number()
     * @uses CompliancePerson::setFax_number()
     * @uses CompliancePerson::setMobile_number()
     * @uses CompliancePerson::setEmail()
     * @param int $compliance_person_id
     * @param string $last_name
     * @param \ArrayType\ComplianceSanctionReferenceArray $sanctions
     * @param \ArrayType\StringArray $flags
     * @param \ArrayType\StringArray $aliases
     * @param \ArrayType\ComplianceAddressReferenceArray $addresses
     * @param \ArrayType\ComplianceRoleReferenceArray $roles
     * @param \ArrayType\ComplianceBusinessReferenceArray $related_businesses
     * @param \ArrayType\CompliancePersonReferenceArray $related_persons
     * @param \ArrayType\ComplianceNoteReferenceArray $notes
     * @param \ArrayType\ComplianceDocumentReferenceArray $documents
     * @param int $pep_level
     * @param string $first_name
     * @param string $middle_name
     * @param string $gender
     * @param string $date_of_birth
     * @param string $date_of_death
     * @param bool $deceased
     * @param string $nationality
     * @param string $image_url
     * @param string $telephone_number
     * @param string $fax_number
     * @param string $mobile_number
     * @param string $email
     */
    public function __construct($compliance_person_id = null, $last_name = null, \ArrayType\ComplianceSanctionReferenceArray $sanctions = null, \ArrayType\StringArray $flags = null, \ArrayType\StringArray $aliases = null, \ArrayType\ComplianceAddressReferenceArray $addresses = null, \ArrayType\ComplianceRoleReferenceArray $roles = null, \ArrayType\ComplianceBusinessReferenceArray $related_businesses = null, \ArrayType\CompliancePersonReferenceArray $related_persons = null, \ArrayType\ComplianceNoteReferenceArray $notes = null, \ArrayType\ComplianceDocumentReferenceArray $documents = null, $pep_level = null, $first_name = null, $middle_name = null, $gender = null, $date_of_birth = null, $date_of_death = null, $deceased = null, $nationality = null, $image_url = null, $telephone_number = null, $fax_number = null, $mobile_number = null, $email = null)
    {
        $this
            ->setCompliance_person_id($compliance_person_id)
            ->setLast_name($last_name)
            ->setSanctions($sanctions)
            ->setFlags($flags)
            ->setAliases($aliases)
            ->setAddresses($addresses)
            ->setRoles($roles)
            ->setRelated_businesses($related_businesses)
            ->setRelated_persons($related_persons)
            ->setNotes($notes)
            ->setDocuments($documents)
            ->setPep_level($pep_level)
            ->setFirst_name($first_name)
            ->setMiddle_name($middle_name)
            ->setGender($gender)
            ->setDate_of_birth($date_of_birth)
            ->setDate_of_death($date_of_death)
            ->setDeceased($deceased)
            ->setNationality($nationality)
            ->setImage_url($image_url)
            ->setTelephone_number($telephone_number)
            ->setFax_number($fax_number)
            ->setMobile_number($mobile_number)
            ->setEmail($email);
    }
    /**
     * Get compliance_person_id value
     * @return int
     */
    public function getCompliance_person_id()
    {
        return $this->compliance_person_id;
    }
    /**
     * Set compliance_person_id value
     * @param int $compliance_person_id
     * @return \StructType\CompliancePerson
     */
    public function setCompliance_person_id($compliance_person_id = null)
    {
        // validation for constraint: int
        if (!is_null($compliance_person_id) && !(is_int($compliance_person_id) || ctype_digit($compliance_person_id))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($compliance_person_id, true), gettype($compliance_person_id)), __LINE__);
        }
        $this->compliance_person_id = $compliance_person_id;
        return $this;
    }
    /**
     * Get last_name value
     * @return string
     */
    public function getLast_name()
    {
        return $this->last_name;
    }
    /**
     * Set last_name value
     * @param string $last_name
     * @return \StructType\CompliancePerson
     */
    public function setLast_name($last_name = null)
    {
        // validation for constraint: string
        if (!is_null($last_name) && !is_string($last_name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($last_name, true), gettype($last_name)), __LINE__);
        }
        $this->last_name = $last_name;
        return $this;
    }
    /**
     * Get sanctions value
     * @return \ArrayType\ComplianceSanctionReferenceArray
     */
    public function getSanctions()
    {
        return $this->sanctions;
    }
    /**
     * Set sanctions value
     * @param \ArrayType\ComplianceSanctionReferenceArray $sanctions
     * @return \StructType\CompliancePerson
     */
    public function setSanctions(\ArrayType\ComplianceSanctionReferenceArray $sanctions = null)
    {
        $this->sanctions = $sanctions;
        return $this;
    }
    /**
     * Get flags value
     * @return \ArrayType\StringArray
     */
    public function getFlags()
    {
        return $this->flags;
    }
    /**
     * Set flags value
     * @param \ArrayType\StringArray $flags
     * @return \StructType\CompliancePerson
     */
    public function setFlags(\ArrayType\StringArray $flags = null)
    {
        $this->flags = $flags;
        return $this;
    }
    /**
     * Get aliases value
     * @return \ArrayType\StringArray
     */
    public function getAliases()
    {
        return $this->aliases;
    }
    /**
     * Set aliases value
     * @param \ArrayType\StringArray $aliases
     * @return \StructType\CompliancePerson
     */
    public function setAliases(\ArrayType\StringArray $aliases = null)
    {
        $this->aliases = $aliases;
        return $this;
    }
    /**
     * Get addresses value
     * @return \ArrayType\ComplianceAddressReferenceArray
     */
    public function getAddresses()
    {
        return $this->addresses;
    }
    /**
     * Set addresses value
     * @param \ArrayType\ComplianceAddressReferenceArray $addresses
     * @return \StructType\CompliancePerson
     */
    public function setAddresses(\ArrayType\ComplianceAddressReferenceArray $addresses = null)
    {
        $this->addresses = $addresses;
        return $this;
    }
    /**
     * Get roles value
     * @return \ArrayType\ComplianceRoleReferenceArray
     */
    public function getRoles()
    {
        return $this->roles;
    }
    /**
     * Set roles value
     * @param \ArrayType\ComplianceRoleReferenceArray $roles
     * @return \StructType\CompliancePerson
     */
    public function setRoles(\ArrayType\ComplianceRoleReferenceArray $roles = null)
    {
        $this->roles = $roles;
        return $this;
    }
    /**
     * Get related_businesses value
     * @return \ArrayType\ComplianceBusinessReferenceArray
     */
    public function getRelated_businesses()
    {
        return $this->related_businesses;
    }
    /**
     * Set related_businesses value
     * @param \ArrayType\ComplianceBusinessReferenceArray $related_businesses
     * @return \StructType\CompliancePerson
     */
    public function setRelated_businesses(\ArrayType\ComplianceBusinessReferenceArray $related_businesses = null)
    {
        $this->related_businesses = $related_businesses;
        return $this;
    }
    /**
     * Get related_persons value
     * @return \ArrayType\CompliancePersonReferenceArray
     */
    public function getRelated_persons()
    {
        return $this->related_persons;
    }
    /**
     * Set related_persons value
     * @param \ArrayType\CompliancePersonReferenceArray $related_persons
     * @return \StructType\CompliancePerson
     */
    public function setRelated_persons(\ArrayType\CompliancePersonReferenceArray $related_persons = null)
    {
        $this->related_persons = $related_persons;
        return $this;
    }
    /**
     * Get notes value
     * @return \ArrayType\ComplianceNoteReferenceArray
     */
    public function getNotes()
    {
        return $this->notes;
    }
    /**
     * Set notes value
     * @param \ArrayType\ComplianceNoteReferenceArray $notes
     * @return \StructType\CompliancePerson
     */
    public function setNotes(\ArrayType\ComplianceNoteReferenceArray $notes = null)
    {
        $this->notes = $notes;
        return $this;
    }
    /**
     * Get documents value
     * @return \ArrayType\ComplianceDocumentReferenceArray
     */
    public function getDocuments()
    {
        return $this->documents;
    }
    /**
     * Set documents value
     * @param \ArrayType\ComplianceDocumentReferenceArray $documents
     * @return \StructType\CompliancePerson
     */
    public function setDocuments(\ArrayType\ComplianceDocumentReferenceArray $documents = null)
    {
        $this->documents = $documents;
        return $this;
    }
    /**
     * Get pep_level value
     * @return int|null
     */
    public function getPep_level()
    {
        return $this->pep_level;
    }
    /**
     * Set pep_level value
     * @param int $pep_level
     * @return \StructType\CompliancePerson
     */
    public function setPep_level($pep_level = null)
    {
        // validation for constraint: int
        if (!is_null($pep_level) && !(is_int($pep_level) || ctype_digit($pep_level))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($pep_level, true), gettype($pep_level)), __LINE__);
        }
        $this->pep_level = $pep_level;
        return $this;
    }
    /**
     * Get first_name value
     * @return string|null
     */
    public function getFirst_name()
    {
        return $this->first_name;
    }
    /**
     * Set first_name value
     * @param string $first_name
     * @return \StructType\CompliancePerson
     */
    public function setFirst_name($first_name = null)
    {
        // validation for constraint: string
        if (!is_null($first_name) && !is_string($first_name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($first_name, true), gettype($first_name)), __LINE__);
        }
        $this->first_name = $first_name;
        return $this;
    }
    /**
     * Get middle_name value
     * @return string|null
     */
    public function getMiddle_name()
    {
        return $this->middle_name;
    }
    /**
     * Set middle_name value
     * @param string $middle_name
     * @return \StructType\CompliancePerson
     */
    public function setMiddle_name($middle_name = null)
    {
        // validation for constraint: string
        if (!is_null($middle_name) && !is_string($middle_name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($middle_name, true), gettype($middle_name)), __LINE__);
        }
        $this->middle_name = $middle_name;
        return $this;
    }
    /**
     * Get gender value
     * @return string|null
     */
    public function getGender()
    {
        return $this->gender;
    }
    /**
     * Set gender value
     * @param string $gender
     * @return \StructType\CompliancePerson
     */
    public function setGender($gender = null)
    {
        // validation for constraint: string
        if (!is_null($gender) && !is_string($gender)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($gender, true), gettype($gender)), __LINE__);
        }
        $this->gender = $gender;
        return $this;
    }
    /**
     * Get date_of_birth value
     * @return string|null
     */
    public function getDate_of_birth()
    {
        return $this->date_of_birth;
    }
    /**
     * Set date_of_birth value
     * @param string $date_of_birth
     * @return \StructType\CompliancePerson
     */
    public function setDate_of_birth($date_of_birth = null)
    {
        // validation for constraint: string
        if (!is_null($date_of_birth) && !is_string($date_of_birth)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($date_of_birth, true), gettype($date_of_birth)), __LINE__);
        }
        $this->date_of_birth = $date_of_birth;
        return $this;
    }
    /**
     * Get date_of_death value
     * @return string|null
     */
    public function getDate_of_death()
    {
        return $this->date_of_death;
    }
    /**
     * Set date_of_death value
     * @param string $date_of_death
     * @return \StructType\CompliancePerson
     */
    public function setDate_of_death($date_of_death = null)
    {
        // validation for constraint: string
        if (!is_null($date_of_death) && !is_string($date_of_death)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($date_of_death, true), gettype($date_of_death)), __LINE__);
        }
        $this->date_of_death = $date_of_death;
        return $this;
    }
    /**
     * Get deceased value
     * @return bool|null
     */
    public function getDeceased()
    {
        return $this->deceased;
    }
    /**
     * Set deceased value
     * @param bool $deceased
     * @return \StructType\CompliancePerson
     */
    public function setDeceased($deceased = null)
    {
        // validation for constraint: boolean
        if (!is_null($deceased) && !is_bool($deceased)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($deceased, true), gettype($deceased)), __LINE__);
        }
        $this->deceased = $deceased;
        return $this;
    }
    /**
     * Get nationality value
     * @return string|null
     */
    public function getNationality()
    {
        return $this->nationality;
    }
    /**
     * Set nationality value
     * @param string $nationality
     * @return \StructType\CompliancePerson
     */
    public function setNationality($nationality = null)
    {
        // validation for constraint: string
        if (!is_null($nationality) && !is_string($nationality)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nationality, true), gettype($nationality)), __LINE__);
        }
        $this->nationality = $nationality;
        return $this;
    }
    /**
     * Get image_url value
     * @return string|null
     */
    public function getImage_url()
    {
        return $this->image_url;
    }
    /**
     * Set image_url value
     * @param string $image_url
     * @return \StructType\CompliancePerson
     */
    public function setImage_url($image_url = null)
    {
        // validation for constraint: string
        if (!is_null($image_url) && !is_string($image_url)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($image_url, true), gettype($image_url)), __LINE__);
        }
        $this->image_url = $image_url;
        return $this;
    }
    /**
     * Get telephone_number value
     * @return string|null
     */
    public function getTelephone_number()
    {
        return $this->telephone_number;
    }
    /**
     * Set telephone_number value
     * @param string $telephone_number
     * @return \StructType\CompliancePerson
     */
    public function setTelephone_number($telephone_number = null)
    {
        // validation for constraint: string
        if (!is_null($telephone_number) && !is_string($telephone_number)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($telephone_number, true), gettype($telephone_number)), __LINE__);
        }
        $this->telephone_number = $telephone_number;
        return $this;
    }
    /**
     * Get fax_number value
     * @return string|null
     */
    public function getFax_number()
    {
        return $this->fax_number;
    }
    /**
     * Set fax_number value
     * @param string $fax_number
     * @return \StructType\CompliancePerson
     */
    public function setFax_number($fax_number = null)
    {
        // validation for constraint: string
        if (!is_null($fax_number) && !is_string($fax_number)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($fax_number, true), gettype($fax_number)), __LINE__);
        }
        $this->fax_number = $fax_number;
        return $this;
    }
    /**
     * Get mobile_number value
     * @return string|null
     */
    public function getMobile_number()
    {
        return $this->mobile_number;
    }
    /**
     * Set mobile_number value
     * @param string $mobile_number
     * @return \StructType\CompliancePerson
     */
    public function setMobile_number($mobile_number = null)
    {
        // validation for constraint: string
        if (!is_null($mobile_number) && !is_string($mobile_number)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($mobile_number, true), gettype($mobile_number)), __LINE__);
        }
        $this->mobile_number = $mobile_number;
        return $this;
    }
    /**
     * Get email value
     * @return string|null
     */
    public function getEmail()
    {
        return $this->email;
    }
    /**
     * Set email value
     * @param string $email
     * @return \StructType\CompliancePerson
     */
    public function setEmail($email = null)
    {
        // validation for constraint: string
        if (!is_null($email) && !is_string($email)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($email, true), gettype($email)), __LINE__);
        }
        $this->email = $email;
        return $this;
    }
}
