<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeBeRegisteredContractor StructType
 * @subpackage Structs
 */
class CreditsafeBeRegisteredContractor extends AbstractStructBase
{
    /**
     * The registration_number
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $registration_number;
    /**
     * The contractor_description
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $contractor_description;
    /**
     * The striking_off_date
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $striking_off_date;
    /**
     * Constructor method for CreditsafeBeRegisteredContractor
     * @uses CreditsafeBeRegisteredContractor::setRegistration_number()
     * @uses CreditsafeBeRegisteredContractor::setContractor_description()
     * @uses CreditsafeBeRegisteredContractor::setStriking_off_date()
     * @param int $registration_number
     * @param string $contractor_description
     * @param string $striking_off_date
     */
    public function __construct($registration_number = null, $contractor_description = null, $striking_off_date = null)
    {
        $this
            ->setRegistration_number($registration_number)
            ->setContractor_description($contractor_description)
            ->setStriking_off_date($striking_off_date);
    }
    /**
     * Get registration_number value
     * @return int|null
     */
    public function getRegistration_number()
    {
        return $this->registration_number;
    }
    /**
     * Set registration_number value
     * @param int $registration_number
     * @return \StructType\CreditsafeBeRegisteredContractor
     */
    public function setRegistration_number($registration_number = null)
    {
        // validation for constraint: int
        if (!is_null($registration_number) && !(is_int($registration_number) || ctype_digit($registration_number))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($registration_number, true), gettype($registration_number)), __LINE__);
        }
        $this->registration_number = $registration_number;
        return $this;
    }
    /**
     * Get contractor_description value
     * @return string|null
     */
    public function getContractor_description()
    {
        return $this->contractor_description;
    }
    /**
     * Set contractor_description value
     * @param string $contractor_description
     * @return \StructType\CreditsafeBeRegisteredContractor
     */
    public function setContractor_description($contractor_description = null)
    {
        // validation for constraint: string
        if (!is_null($contractor_description) && !is_string($contractor_description)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($contractor_description, true), gettype($contractor_description)), __LINE__);
        }
        $this->contractor_description = $contractor_description;
        return $this;
    }
    /**
     * Get striking_off_date value
     * @return string|null
     */
    public function getStriking_off_date()
    {
        return $this->striking_off_date;
    }
    /**
     * Set striking_off_date value
     * @param string $striking_off_date
     * @return \StructType\CreditsafeBeRegisteredContractor
     */
    public function setStriking_off_date($striking_off_date = null)
    {
        // validation for constraint: string
        if (!is_null($striking_off_date) && !is_string($striking_off_date)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($striking_off_date, true), gettype($striking_off_date)), __LINE__);
        }
        $this->striking_off_date = $striking_off_date;
        return $this;
    }
}
