<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeCompanyCreditRatingV2 StructType
 * @subpackage Structs
 */
class CreditsafeCompanyCreditRatingV2 extends AbstractStructBase
{
    /**
     * The common_description
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $common_description;
    /**
     * The common_value
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $common_value;
    /**
     * The credit_limit
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $credit_limit;
    /**
     * The provider_description
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $provider_description;
    /**
     * The provider_value
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeValueV2
     */
    public $provider_value;
    /**
     * Constructor method for CreditsafeCompanyCreditRatingV2
     * @uses CreditsafeCompanyCreditRatingV2::setCommon_description()
     * @uses CreditsafeCompanyCreditRatingV2::setCommon_value()
     * @uses CreditsafeCompanyCreditRatingV2::setCredit_limit()
     * @uses CreditsafeCompanyCreditRatingV2::setProvider_description()
     * @uses CreditsafeCompanyCreditRatingV2::setProvider_value()
     * @param string $common_description
     * @param string $common_value
     * @param string $credit_limit
     * @param string $provider_description
     * @param \StructType\CreditsafeValueV2 $provider_value
     */
    public function __construct($common_description = null, $common_value = null, $credit_limit = null, $provider_description = null, \StructType\CreditsafeValueV2 $provider_value = null)
    {
        $this
            ->setCommon_description($common_description)
            ->setCommon_value($common_value)
            ->setCredit_limit($credit_limit)
            ->setProvider_description($provider_description)
            ->setProvider_value($provider_value);
    }
    /**
     * Get common_description value
     * @return string|null
     */
    public function getCommon_description()
    {
        return $this->common_description;
    }
    /**
     * Set common_description value
     * @param string $common_description
     * @return \StructType\CreditsafeCompanyCreditRatingV2
     */
    public function setCommon_description($common_description = null)
    {
        // validation for constraint: string
        if (!is_null($common_description) && !is_string($common_description)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($common_description, true), gettype($common_description)), __LINE__);
        }
        $this->common_description = $common_description;
        return $this;
    }
    /**
     * Get common_value value
     * @return string|null
     */
    public function getCommon_value()
    {
        return $this->common_value;
    }
    /**
     * Set common_value value
     * @param string $common_value
     * @return \StructType\CreditsafeCompanyCreditRatingV2
     */
    public function setCommon_value($common_value = null)
    {
        // validation for constraint: string
        if (!is_null($common_value) && !is_string($common_value)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($common_value, true), gettype($common_value)), __LINE__);
        }
        $this->common_value = $common_value;
        return $this;
    }
    /**
     * Get credit_limit value
     * @return string|null
     */
    public function getCredit_limit()
    {
        return $this->credit_limit;
    }
    /**
     * Set credit_limit value
     * @param string $credit_limit
     * @return \StructType\CreditsafeCompanyCreditRatingV2
     */
    public function setCredit_limit($credit_limit = null)
    {
        // validation for constraint: string
        if (!is_null($credit_limit) && !is_string($credit_limit)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($credit_limit, true), gettype($credit_limit)), __LINE__);
        }
        $this->credit_limit = $credit_limit;
        return $this;
    }
    /**
     * Get provider_description value
     * @return string|null
     */
    public function getProvider_description()
    {
        return $this->provider_description;
    }
    /**
     * Set provider_description value
     * @param string $provider_description
     * @return \StructType\CreditsafeCompanyCreditRatingV2
     */
    public function setProvider_description($provider_description = null)
    {
        // validation for constraint: string
        if (!is_null($provider_description) && !is_string($provider_description)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($provider_description, true), gettype($provider_description)), __LINE__);
        }
        $this->provider_description = $provider_description;
        return $this;
    }
    /**
     * Get provider_value value
     * @return \StructType\CreditsafeValueV2|null
     */
    public function getProvider_value()
    {
        return $this->provider_value;
    }
    /**
     * Set provider_value value
     * @param \StructType\CreditsafeValueV2 $provider_value
     * @return \StructType\CreditsafeCompanyCreditRatingV2
     */
    public function setProvider_value(\StructType\CreditsafeValueV2 $provider_value = null)
    {
        $this->provider_value = $provider_value;
        return $this;
    }
}
