<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeLtdShareCapitalStructure StructType
 * @subpackage Structs
 */
class CreditsafeLtdShareCapitalStructure extends AbstractStructBase
{
    /**
     * The nominal_share_capital
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $nominal_share_capital;
    /**
     * The issued_share_capital
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $issued_share_capital;
    /**
     * The share_holders
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\CreditsafeShareHolderArray
     */
    public $share_holders;
    /**
     * Constructor method for CreditsafeLtdShareCapitalStructure
     * @uses CreditsafeLtdShareCapitalStructure::setNominal_share_capital()
     * @uses CreditsafeLtdShareCapitalStructure::setIssued_share_capital()
     * @uses CreditsafeLtdShareCapitalStructure::setShare_holders()
     * @param float $nominal_share_capital
     * @param float $issued_share_capital
     * @param \ArrayType\CreditsafeShareHolderArray $share_holders
     */
    public function __construct($nominal_share_capital = null, $issued_share_capital = null, \ArrayType\CreditsafeShareHolderArray $share_holders = null)
    {
        $this
            ->setNominal_share_capital($nominal_share_capital)
            ->setIssued_share_capital($issued_share_capital)
            ->setShare_holders($share_holders);
    }
    /**
     * Get nominal_share_capital value
     * @return float|null
     */
    public function getNominal_share_capital()
    {
        return $this->nominal_share_capital;
    }
    /**
     * Set nominal_share_capital value
     * @param float $nominal_share_capital
     * @return \StructType\CreditsafeLtdShareCapitalStructure
     */
    public function setNominal_share_capital($nominal_share_capital = null)
    {
        // validation for constraint: float
        if (!is_null($nominal_share_capital) && !(is_float($nominal_share_capital) || is_numeric($nominal_share_capital))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($nominal_share_capital, true), gettype($nominal_share_capital)), __LINE__);
        }
        $this->nominal_share_capital = $nominal_share_capital;
        return $this;
    }
    /**
     * Get issued_share_capital value
     * @return float|null
     */
    public function getIssued_share_capital()
    {
        return $this->issued_share_capital;
    }
    /**
     * Set issued_share_capital value
     * @param float $issued_share_capital
     * @return \StructType\CreditsafeLtdShareCapitalStructure
     */
    public function setIssued_share_capital($issued_share_capital = null)
    {
        // validation for constraint: float
        if (!is_null($issued_share_capital) && !(is_float($issued_share_capital) || is_numeric($issued_share_capital))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($issued_share_capital, true), gettype($issued_share_capital)), __LINE__);
        }
        $this->issued_share_capital = $issued_share_capital;
        return $this;
    }
    /**
     * Get share_holders value
     * @return \ArrayType\CreditsafeShareHolderArray|null
     */
    public function getShare_holders()
    {
        return $this->share_holders;
    }
    /**
     * Set share_holders value
     * @param \ArrayType\CreditsafeShareHolderArray $share_holders
     * @return \StructType\CreditsafeLtdShareCapitalStructure
     */
    public function setShare_holders(\ArrayType\CreditsafeShareHolderArray $share_holders = null)
    {
        $this->share_holders = $share_holders;
        return $this;
    }
}
