<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeNlCourtDataFacts StructType
 * @subpackage Structs
 */
class CreditsafeNlCourtDataFacts extends AbstractStructBase
{
    /**
     * The court_action
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $court_action;
    /**
     * The date_of_bankruptcy
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $date_of_bankruptcy;
    /**
     * The details
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $details;
    /**
     * Constructor method for CreditsafeNlCourtDataFacts
     * @uses CreditsafeNlCourtDataFacts::setCourt_action()
     * @uses CreditsafeNlCourtDataFacts::setDate_of_bankruptcy()
     * @uses CreditsafeNlCourtDataFacts::setDetails()
     * @param bool $court_action
     * @param string $date_of_bankruptcy
     * @param string $details
     */
    public function __construct($court_action = null, $date_of_bankruptcy = null, $details = null)
    {
        $this
            ->setCourt_action($court_action)
            ->setDate_of_bankruptcy($date_of_bankruptcy)
            ->setDetails($details);
    }
    /**
     * Get court_action value
     * @return bool|null
     */
    public function getCourt_action()
    {
        return $this->court_action;
    }
    /**
     * Set court_action value
     * @param bool $court_action
     * @return \StructType\CreditsafeNlCourtDataFacts
     */
    public function setCourt_action($court_action = null)
    {
        // validation for constraint: boolean
        if (!is_null($court_action) && !is_bool($court_action)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($court_action, true), gettype($court_action)), __LINE__);
        }
        $this->court_action = $court_action;
        return $this;
    }
    /**
     * Get date_of_bankruptcy value
     * @return string|null
     */
    public function getDate_of_bankruptcy()
    {
        return $this->date_of_bankruptcy;
    }
    /**
     * Set date_of_bankruptcy value
     * @param string $date_of_bankruptcy
     * @return \StructType\CreditsafeNlCourtDataFacts
     */
    public function setDate_of_bankruptcy($date_of_bankruptcy = null)
    {
        // validation for constraint: string
        if (!is_null($date_of_bankruptcy) && !is_string($date_of_bankruptcy)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($date_of_bankruptcy, true), gettype($date_of_bankruptcy)), __LINE__);
        }
        $this->date_of_bankruptcy = $date_of_bankruptcy;
        return $this;
    }
    /**
     * Get details value
     * @return string|null
     */
    public function getDetails()
    {
        return $this->details;
    }
    /**
     * Set details value
     * @param string $details
     * @return \StructType\CreditsafeNlCourtDataFacts
     */
    public function setDetails($details = null)
    {
        // validation for constraint: string
        if (!is_null($details) && !is_string($details)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($details, true), gettype($details)), __LINE__);
        }
        $this->details = $details;
        return $this;
    }
}
