<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DutchBusinessAnnualFinancialStatementSummary StructType
 * @subpackage Structs
 */
class DutchBusinessAnnualFinancialStatementSummary extends AbstractStructBase
{
    /**
     * The year
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $year;
    /**
     * The turnover
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\DutchBusinessMoneyV2
     */
    public $turnover;
    /**
     * The profit
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\DutchBusinessMoneyV2
     */
    public $profit;
    /**
     * The assets
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\DutchBusinessMoneyV2
     */
    public $assets;
    /**
     * Constructor method for DutchBusinessAnnualFinancialStatementSummary
     * @uses DutchBusinessAnnualFinancialStatementSummary::setYear()
     * @uses DutchBusinessAnnualFinancialStatementSummary::setTurnover()
     * @uses DutchBusinessAnnualFinancialStatementSummary::setProfit()
     * @uses DutchBusinessAnnualFinancialStatementSummary::setAssets()
     * @param int $year
     * @param \StructType\DutchBusinessMoneyV2 $turnover
     * @param \StructType\DutchBusinessMoneyV2 $profit
     * @param \StructType\DutchBusinessMoneyV2 $assets
     */
    public function __construct($year = null, \StructType\DutchBusinessMoneyV2 $turnover = null, \StructType\DutchBusinessMoneyV2 $profit = null, \StructType\DutchBusinessMoneyV2 $assets = null)
    {
        $this
            ->setYear($year)
            ->setTurnover($turnover)
            ->setProfit($profit)
            ->setAssets($assets);
    }
    /**
     * Get year value
     * @return int|null
     */
    public function getYear()
    {
        return $this->year;
    }
    /**
     * Set year value
     * @param int $year
     * @return \StructType\DutchBusinessAnnualFinancialStatementSummary
     */
    public function setYear($year = null)
    {
        // validation for constraint: int
        if (!is_null($year) && !(is_int($year) || ctype_digit($year))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($year, true), gettype($year)), __LINE__);
        }
        $this->year = $year;
        return $this;
    }
    /**
     * Get turnover value
     * @return \StructType\DutchBusinessMoneyV2|null
     */
    public function getTurnover()
    {
        return $this->turnover;
    }
    /**
     * Set turnover value
     * @param \StructType\DutchBusinessMoneyV2 $turnover
     * @return \StructType\DutchBusinessAnnualFinancialStatementSummary
     */
    public function setTurnover(\StructType\DutchBusinessMoneyV2 $turnover = null)
    {
        $this->turnover = $turnover;
        return $this;
    }
    /**
     * Get profit value
     * @return \StructType\DutchBusinessMoneyV2|null
     */
    public function getProfit()
    {
        return $this->profit;
    }
    /**
     * Set profit value
     * @param \StructType\DutchBusinessMoneyV2 $profit
     * @return \StructType\DutchBusinessAnnualFinancialStatementSummary
     */
    public function setProfit(\StructType\DutchBusinessMoneyV2 $profit = null)
    {
        $this->profit = $profit;
        return $this;
    }
    /**
     * Get assets value
     * @return \StructType\DutchBusinessMoneyV2|null
     */
    public function getAssets()
    {
        return $this->assets;
    }
    /**
     * Set assets value
     * @param \StructType\DutchBusinessMoneyV2 $assets
     * @return \StructType\DutchBusinessAnnualFinancialStatementSummary
     */
    public function setAssets(\StructType\DutchBusinessMoneyV2 $assets = null)
    {
        $this->assets = $assets;
        return $this;
    }
}
