<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DutchBusinessNonMarketingIndicator StructType
 * @subpackage Structs
 */
class DutchBusinessNonMarketingIndicator extends AbstractStructBase
{
    /**
     * The dossier_number
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var string
     */
    public $dossier_number;
    /**
     * The non_marketing_indicator
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var bool
     */
    public $non_marketing_indicator;
    /**
     * The establishment_number
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $establishment_number;
    /**
     * The since
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $since;
    /**
     * Constructor method for DutchBusinessNonMarketingIndicator
     * @uses DutchBusinessNonMarketingIndicator::setDossier_number()
     * @uses DutchBusinessNonMarketingIndicator::setNon_marketing_indicator()
     * @uses DutchBusinessNonMarketingIndicator::setEstablishment_number()
     * @uses DutchBusinessNonMarketingIndicator::setSince()
     * @param string $dossier_number
     * @param bool $non_marketing_indicator
     * @param string $establishment_number
     * @param string $since
     */
    public function __construct($dossier_number = null, $non_marketing_indicator = null, $establishment_number = null, $since = null)
    {
        $this
            ->setDossier_number($dossier_number)
            ->setNon_marketing_indicator($non_marketing_indicator)
            ->setEstablishment_number($establishment_number)
            ->setSince($since);
    }
    /**
     * Get dossier_number value
     * @return string
     */
    public function getDossier_number()
    {
        return $this->dossier_number;
    }
    /**
     * Set dossier_number value
     * @param string $dossier_number
     * @return \StructType\DutchBusinessNonMarketingIndicator
     */
    public function setDossier_number($dossier_number = null)
    {
        // validation for constraint: string
        if (!is_null($dossier_number) && !is_string($dossier_number)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dossier_number, true), gettype($dossier_number)), __LINE__);
        }
        $this->dossier_number = $dossier_number;
        return $this;
    }
    /**
     * Get non_marketing_indicator value
     * @return bool
     */
    public function getNon_marketing_indicator()
    {
        return $this->non_marketing_indicator;
    }
    /**
     * Set non_marketing_indicator value
     * @param bool $non_marketing_indicator
     * @return \StructType\DutchBusinessNonMarketingIndicator
     */
    public function setNon_marketing_indicator($non_marketing_indicator = null)
    {
        // validation for constraint: boolean
        if (!is_null($non_marketing_indicator) && !is_bool($non_marketing_indicator)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($non_marketing_indicator, true), gettype($non_marketing_indicator)), __LINE__);
        }
        $this->non_marketing_indicator = $non_marketing_indicator;
        return $this;
    }
    /**
     * Get establishment_number value
     * @return string|null
     */
    public function getEstablishment_number()
    {
        return $this->establishment_number;
    }
    /**
     * Set establishment_number value
     * @param string $establishment_number
     * @return \StructType\DutchBusinessNonMarketingIndicator
     */
    public function setEstablishment_number($establishment_number = null)
    {
        // validation for constraint: string
        if (!is_null($establishment_number) && !is_string($establishment_number)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($establishment_number, true), gettype($establishment_number)), __LINE__);
        }
        $this->establishment_number = $establishment_number;
        return $this;
    }
    /**
     * Get since value
     * @return string|null
     */
    public function getSince()
    {
        return $this->since;
    }
    /**
     * Set since value
     * @param string $since
     * @return \StructType\DutchBusinessNonMarketingIndicator
     */
    public function setSince($since = null)
    {
        // validation for constraint: string
        if (!is_null($since) && !is_string($since)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($since, true), gettype($since)), __LINE__);
        }
        $this->since = $since;
        return $this;
    }
}
