<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DutchBusinessUBOReceiptItem StructType
 * @subpackage Structs
 */
class DutchBusinessUBOReceiptItem extends AbstractStructBase
{
    /**
     * The description
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var string
     */
    public $description;
    /**
     * The quantity
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var int
     */
    public $quantity;
    /**
     * The unit_price
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var string
     */
    public $unit_price;
    /**
     * The total_price
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var string
     */
    public $total_price;
    /**
     * Constructor method for DutchBusinessUBOReceiptItem
     * @uses DutchBusinessUBOReceiptItem::setDescription()
     * @uses DutchBusinessUBOReceiptItem::setQuantity()
     * @uses DutchBusinessUBOReceiptItem::setUnit_price()
     * @uses DutchBusinessUBOReceiptItem::setTotal_price()
     * @param string $description
     * @param int $quantity
     * @param string $unit_price
     * @param string $total_price
     */
    public function __construct($description = null, $quantity = null, $unit_price = null, $total_price = null)
    {
        $this
            ->setDescription($description)
            ->setQuantity($quantity)
            ->setUnit_price($unit_price)
            ->setTotal_price($total_price);
    }
    /**
     * Get description value
     * @return string
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \StructType\DutchBusinessUBOReceiptItem
     */
    public function setDescription($description = null)
    {
        // validation for constraint: string
        if (!is_null($description) && !is_string($description)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($description, true), gettype($description)), __LINE__);
        }
        $this->description = $description;
        return $this;
    }
    /**
     * Get quantity value
     * @return int
     */
    public function getQuantity()
    {
        return $this->quantity;
    }
    /**
     * Set quantity value
     * @param int $quantity
     * @return \StructType\DutchBusinessUBOReceiptItem
     */
    public function setQuantity($quantity = null)
    {
        // validation for constraint: int
        if (!is_null($quantity) && !(is_int($quantity) || ctype_digit($quantity))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($quantity, true), gettype($quantity)), __LINE__);
        }
        $this->quantity = $quantity;
        return $this;
    }
    /**
     * Get unit_price value
     * @return string
     */
    public function getUnit_price()
    {
        return $this->unit_price;
    }
    /**
     * Set unit_price value
     * @param string $unit_price
     * @return \StructType\DutchBusinessUBOReceiptItem
     */
    public function setUnit_price($unit_price = null)
    {
        // validation for constraint: string
        if (!is_null($unit_price) && !is_string($unit_price)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($unit_price, true), gettype($unit_price)), __LINE__);
        }
        $this->unit_price = $unit_price;
        return $this;
    }
    /**
     * Get total_price value
     * @return string
     */
    public function getTotal_price()
    {
        return $this->total_price;
    }
    /**
     * Set total_price value
     * @param string $total_price
     * @return \StructType\DutchBusinessUBOReceiptItem
     */
    public function setTotal_price($total_price = null)
    {
        // validation for constraint: string
        if (!is_null($total_price) && !is_string($total_price)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($total_price, true), gettype($total_price)), __LINE__);
        }
        $this->total_price = $total_price;
        return $this;
    }
}
