<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GCRBranchOffice StructType
 * @subpackage Structs
 */
class GCRBranchOffice extends AbstractStructBase
{
    /**
     * The branch_office_id
     * @var string
     */
    public $branch_office_id;
    /**
     * The business_name
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $business_name;
    /**
     * The trade_names
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\GCRTradeNameArray
     */
    public $trade_names;
    /**
     * The addresses
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\GCRAddressArray
     */
    public $addresses;
    /**
     * The telephone_numbers
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\GCRTelephoneNumberArray
     */
    public $telephone_numbers;
    /**
     * The email_addresses
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\StringArray
     */
    public $email_addresses;
    /**
     * The estabishment_date
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $estabishment_date;
    /**
     * The discontinuance
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\GCRDiscontinuance
     */
    public $discontinuance;
    /**
     * Constructor method for GCRBranchOffice
     * @uses GCRBranchOffice::setBranch_office_id()
     * @uses GCRBranchOffice::setBusiness_name()
     * @uses GCRBranchOffice::setTrade_names()
     * @uses GCRBranchOffice::setAddresses()
     * @uses GCRBranchOffice::setTelephone_numbers()
     * @uses GCRBranchOffice::setEmail_addresses()
     * @uses GCRBranchOffice::setEstabishment_date()
     * @uses GCRBranchOffice::setDiscontinuance()
     * @param string $branch_office_id
     * @param string $business_name
     * @param \ArrayType\GCRTradeNameArray $trade_names
     * @param \ArrayType\GCRAddressArray $addresses
     * @param \ArrayType\GCRTelephoneNumberArray $telephone_numbers
     * @param \ArrayType\StringArray $email_addresses
     * @param string $estabishment_date
     * @param \StructType\GCRDiscontinuance $discontinuance
     */
    public function __construct($branch_office_id = null, $business_name = null, \ArrayType\GCRTradeNameArray $trade_names = null, \ArrayType\GCRAddressArray $addresses = null, \ArrayType\GCRTelephoneNumberArray $telephone_numbers = null, \ArrayType\StringArray $email_addresses = null, $estabishment_date = null, \StructType\GCRDiscontinuance $discontinuance = null)
    {
        $this
            ->setBranch_office_id($branch_office_id)
            ->setBusiness_name($business_name)
            ->setTrade_names($trade_names)
            ->setAddresses($addresses)
            ->setTelephone_numbers($telephone_numbers)
            ->setEmail_addresses($email_addresses)
            ->setEstabishment_date($estabishment_date)
            ->setDiscontinuance($discontinuance);
    }
    /**
     * Get branch_office_id value
     * @return string|null
     */
    public function getBranch_office_id()
    {
        return $this->branch_office_id;
    }
    /**
     * Set branch_office_id value
     * @param string $branch_office_id
     * @return \StructType\GCRBranchOffice
     */
    public function setBranch_office_id($branch_office_id = null)
    {
        // validation for constraint: string
        if (!is_null($branch_office_id) && !is_string($branch_office_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($branch_office_id, true), gettype($branch_office_id)), __LINE__);
        }
        $this->branch_office_id = $branch_office_id;
        return $this;
    }
    /**
     * Get business_name value
     * @return string|null
     */
    public function getBusiness_name()
    {
        return $this->business_name;
    }
    /**
     * Set business_name value
     * @param string $business_name
     * @return \StructType\GCRBranchOffice
     */
    public function setBusiness_name($business_name = null)
    {
        // validation for constraint: string
        if (!is_null($business_name) && !is_string($business_name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($business_name, true), gettype($business_name)), __LINE__);
        }
        $this->business_name = $business_name;
        return $this;
    }
    /**
     * Get trade_names value
     * @return \ArrayType\GCRTradeNameArray|null
     */
    public function getTrade_names()
    {
        return $this->trade_names;
    }
    /**
     * Set trade_names value
     * @param \ArrayType\GCRTradeNameArray $trade_names
     * @return \StructType\GCRBranchOffice
     */
    public function setTrade_names(\ArrayType\GCRTradeNameArray $trade_names = null)
    {
        $this->trade_names = $trade_names;
        return $this;
    }
    /**
     * Get addresses value
     * @return \ArrayType\GCRAddressArray|null
     */
    public function getAddresses()
    {
        return $this->addresses;
    }
    /**
     * Set addresses value
     * @param \ArrayType\GCRAddressArray $addresses
     * @return \StructType\GCRBranchOffice
     */
    public function setAddresses(\ArrayType\GCRAddressArray $addresses = null)
    {
        $this->addresses = $addresses;
        return $this;
    }
    /**
     * Get telephone_numbers value
     * @return \ArrayType\GCRTelephoneNumberArray|null
     */
    public function getTelephone_numbers()
    {
        return $this->telephone_numbers;
    }
    /**
     * Set telephone_numbers value
     * @param \ArrayType\GCRTelephoneNumberArray $telephone_numbers
     * @return \StructType\GCRBranchOffice
     */
    public function setTelephone_numbers(\ArrayType\GCRTelephoneNumberArray $telephone_numbers = null)
    {
        $this->telephone_numbers = $telephone_numbers;
        return $this;
    }
    /**
     * Get email_addresses value
     * @return \ArrayType\StringArray|null
     */
    public function getEmail_addresses()
    {
        return $this->email_addresses;
    }
    /**
     * Set email_addresses value
     * @param \ArrayType\StringArray $email_addresses
     * @return \StructType\GCRBranchOffice
     */
    public function setEmail_addresses(\ArrayType\StringArray $email_addresses = null)
    {
        $this->email_addresses = $email_addresses;
        return $this;
    }
    /**
     * Get estabishment_date value
     * @return string|null
     */
    public function getEstabishment_date()
    {
        return $this->estabishment_date;
    }
    /**
     * Set estabishment_date value
     * @param string $estabishment_date
     * @return \StructType\GCRBranchOffice
     */
    public function setEstabishment_date($estabishment_date = null)
    {
        // validation for constraint: string
        if (!is_null($estabishment_date) && !is_string($estabishment_date)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($estabishment_date, true), gettype($estabishment_date)), __LINE__);
        }
        $this->estabishment_date = $estabishment_date;
        return $this;
    }
    /**
     * Get discontinuance value
     * @return \StructType\GCRDiscontinuance|null
     */
    public function getDiscontinuance()
    {
        return $this->discontinuance;
    }
    /**
     * Set discontinuance value
     * @param \StructType\GCRDiscontinuance $discontinuance
     * @return \StructType\GCRBranchOffice
     */
    public function setDiscontinuance(\StructType\GCRDiscontinuance $discontinuance = null)
    {
        $this->discontinuance = $discontinuance;
        return $this;
    }
}
