<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GCRCreditAdviceData StructType
 * @subpackage Structs
 */
class GCRCreditAdviceData extends AbstractStructBase
{
    /**
     * The including_personal_judgement
     * @var bool
     */
    public $including_personal_judgement;
    /**
     * The credit_advice
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\GCRCreditAdvice
     */
    public $credit_advice;
    /**
     * The credit_advice_mother
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\GCRCreditAdviceMother
     */
    public $credit_advice_mother;
    /**
     * The credit_rating
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\GCRCreditRating
     */
    public $credit_rating;
    /**
     * Constructor method for GCRCreditAdviceData
     * @uses GCRCreditAdviceData::setIncluding_personal_judgement()
     * @uses GCRCreditAdviceData::setCredit_advice()
     * @uses GCRCreditAdviceData::setCredit_advice_mother()
     * @uses GCRCreditAdviceData::setCredit_rating()
     * @param bool $including_personal_judgement
     * @param \StructType\GCRCreditAdvice $credit_advice
     * @param \StructType\GCRCreditAdviceMother $credit_advice_mother
     * @param \StructType\GCRCreditRating $credit_rating
     */
    public function __construct($including_personal_judgement = null, \StructType\GCRCreditAdvice $credit_advice = null, \StructType\GCRCreditAdviceMother $credit_advice_mother = null, \StructType\GCRCreditRating $credit_rating = null)
    {
        $this
            ->setIncluding_personal_judgement($including_personal_judgement)
            ->setCredit_advice($credit_advice)
            ->setCredit_advice_mother($credit_advice_mother)
            ->setCredit_rating($credit_rating);
    }
    /**
     * Get including_personal_judgement value
     * @return bool|null
     */
    public function getIncluding_personal_judgement()
    {
        return $this->including_personal_judgement;
    }
    /**
     * Set including_personal_judgement value
     * @param bool $including_personal_judgement
     * @return \StructType\GCRCreditAdviceData
     */
    public function setIncluding_personal_judgement($including_personal_judgement = null)
    {
        // validation for constraint: boolean
        if (!is_null($including_personal_judgement) && !is_bool($including_personal_judgement)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($including_personal_judgement, true), gettype($including_personal_judgement)), __LINE__);
        }
        $this->including_personal_judgement = $including_personal_judgement;
        return $this;
    }
    /**
     * Get credit_advice value
     * @return \StructType\GCRCreditAdvice|null
     */
    public function getCredit_advice()
    {
        return $this->credit_advice;
    }
    /**
     * Set credit_advice value
     * @param \StructType\GCRCreditAdvice $credit_advice
     * @return \StructType\GCRCreditAdviceData
     */
    public function setCredit_advice(\StructType\GCRCreditAdvice $credit_advice = null)
    {
        $this->credit_advice = $credit_advice;
        return $this;
    }
    /**
     * Get credit_advice_mother value
     * @return \StructType\GCRCreditAdviceMother|null
     */
    public function getCredit_advice_mother()
    {
        return $this->credit_advice_mother;
    }
    /**
     * Set credit_advice_mother value
     * @param \StructType\GCRCreditAdviceMother $credit_advice_mother
     * @return \StructType\GCRCreditAdviceData
     */
    public function setCredit_advice_mother(\StructType\GCRCreditAdviceMother $credit_advice_mother = null)
    {
        $this->credit_advice_mother = $credit_advice_mother;
        return $this;
    }
    /**
     * Get credit_rating value
     * @return \StructType\GCRCreditRating|null
     */
    public function getCredit_rating()
    {
        return $this->credit_rating;
    }
    /**
     * Set credit_rating value
     * @param \StructType\GCRCreditRating $credit_rating
     * @return \StructType\GCRCreditAdviceData
     */
    public function setCredit_rating(\StructType\GCRCreditRating $credit_rating = null)
    {
        $this->credit_rating = $credit_rating;
        return $this;
    }
}
