<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GCRFinancialDetails StructType
 * @subpackage Structs
 */
class GCRFinancialDetails extends AbstractStructBase
{
    /**
     * The graydon_company_id
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $graydon_company_id;
    /**
     * The turnovers
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\GCRFinancialDetailValueArray
     */
    public $turnovers;
    /**
     * The results
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\GCRFinancialDetailValueArray
     */
    public $results;
    /**
     * Constructor method for GCRFinancialDetails
     * @uses GCRFinancialDetails::setGraydon_company_id()
     * @uses GCRFinancialDetails::setTurnovers()
     * @uses GCRFinancialDetails::setResults()
     * @param int $graydon_company_id
     * @param \ArrayType\GCRFinancialDetailValueArray $turnovers
     * @param \ArrayType\GCRFinancialDetailValueArray $results
     */
    public function __construct($graydon_company_id = null, \ArrayType\GCRFinancialDetailValueArray $turnovers = null, \ArrayType\GCRFinancialDetailValueArray $results = null)
    {
        $this
            ->setGraydon_company_id($graydon_company_id)
            ->setTurnovers($turnovers)
            ->setResults($results);
    }
    /**
     * Get graydon_company_id value
     * @return int|null
     */
    public function getGraydon_company_id()
    {
        return $this->graydon_company_id;
    }
    /**
     * Set graydon_company_id value
     * @param int $graydon_company_id
     * @return \StructType\GCRFinancialDetails
     */
    public function setGraydon_company_id($graydon_company_id = null)
    {
        // validation for constraint: int
        if (!is_null($graydon_company_id) && !(is_int($graydon_company_id) || ctype_digit($graydon_company_id))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($graydon_company_id, true), gettype($graydon_company_id)), __LINE__);
        }
        $this->graydon_company_id = $graydon_company_id;
        return $this;
    }
    /**
     * Get turnovers value
     * @return \ArrayType\GCRFinancialDetailValueArray|null
     */
    public function getTurnovers()
    {
        return $this->turnovers;
    }
    /**
     * Set turnovers value
     * @param \ArrayType\GCRFinancialDetailValueArray $turnovers
     * @return \StructType\GCRFinancialDetails
     */
    public function setTurnovers(\ArrayType\GCRFinancialDetailValueArray $turnovers = null)
    {
        $this->turnovers = $turnovers;
        return $this;
    }
    /**
     * Get results value
     * @return \ArrayType\GCRFinancialDetailValueArray|null
     */
    public function getResults()
    {
        return $this->results;
    }
    /**
     * Set results value
     * @param \ArrayType\GCRFinancialDetailValueArray $results
     * @return \StructType\GCRFinancialDetails
     */
    public function setResults(\ArrayType\GCRFinancialDetailValueArray $results = null)
    {
        $this->results = $results;
        return $this;
    }
}
