<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GCRImportExport StructType
 * @subpackage Structs
 */
class GCRImportExport extends AbstractStructBase
{
    /**
     * The import_countries
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\GCRCountryArray
     */
    public $import_countries;
    /**
     * The export_countries
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\GCRCountryArray
     */
    public $export_countries;
    /**
     * Constructor method for GCRImportExport
     * @uses GCRImportExport::setImport_countries()
     * @uses GCRImportExport::setExport_countries()
     * @param \ArrayType\GCRCountryArray $import_countries
     * @param \ArrayType\GCRCountryArray $export_countries
     */
    public function __construct(\ArrayType\GCRCountryArray $import_countries = null, \ArrayType\GCRCountryArray $export_countries = null)
    {
        $this
            ->setImport_countries($import_countries)
            ->setExport_countries($export_countries);
    }
    /**
     * Get import_countries value
     * @return \ArrayType\GCRCountryArray|null
     */
    public function getImport_countries()
    {
        return $this->import_countries;
    }
    /**
     * Set import_countries value
     * @param \ArrayType\GCRCountryArray $import_countries
     * @return \StructType\GCRImportExport
     */
    public function setImport_countries(\ArrayType\GCRCountryArray $import_countries = null)
    {
        $this->import_countries = $import_countries;
        return $this;
    }
    /**
     * Get export_countries value
     * @return \ArrayType\GCRCountryArray|null
     */
    public function getExport_countries()
    {
        return $this->export_countries;
    }
    /**
     * Set export_countries value
     * @param \ArrayType\GCRCountryArray $export_countries
     * @return \StructType\GCRImportExport
     */
    public function setExport_countries(\ArrayType\GCRCountryArray $export_countries = null)
    {
        $this->export_countries = $export_countries;
        return $this;
    }
}
