<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GCRLiabilities StructType
 * @subpackage Structs
 */
class GCRLiabilities extends AbstractStructBase
{
    /**
     * The liabilities_items
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\GCRItemArray
     */
    public $liabilities_items;
    /**
     * The balance_sheet_total
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $balance_sheet_total;
    /**
     * Constructor method for GCRLiabilities
     * @uses GCRLiabilities::setLiabilities_items()
     * @uses GCRLiabilities::setBalance_sheet_total()
     * @param \ArrayType\GCRItemArray $liabilities_items
     * @param float $balance_sheet_total
     */
    public function __construct(\ArrayType\GCRItemArray $liabilities_items = null, $balance_sheet_total = null)
    {
        $this
            ->setLiabilities_items($liabilities_items)
            ->setBalance_sheet_total($balance_sheet_total);
    }
    /**
     * Get liabilities_items value
     * @return \ArrayType\GCRItemArray|null
     */
    public function getLiabilities_items()
    {
        return $this->liabilities_items;
    }
    /**
     * Set liabilities_items value
     * @param \ArrayType\GCRItemArray $liabilities_items
     * @return \StructType\GCRLiabilities
     */
    public function setLiabilities_items(\ArrayType\GCRItemArray $liabilities_items = null)
    {
        $this->liabilities_items = $liabilities_items;
        return $this;
    }
    /**
     * Get balance_sheet_total value
     * @return float|null
     */
    public function getBalance_sheet_total()
    {
        return $this->balance_sheet_total;
    }
    /**
     * Set balance_sheet_total value
     * @param float $balance_sheet_total
     * @return \StructType\GCRLiabilities
     */
    public function setBalance_sheet_total($balance_sheet_total = null)
    {
        // validation for constraint: float
        if (!is_null($balance_sheet_total) && !(is_float($balance_sheet_total) || is_numeric($balance_sheet_total))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($balance_sheet_total, true), gettype($balance_sheet_total)), __LINE__);
        }
        $this->balance_sheet_total = $balance_sheet_total;
        return $this;
    }
}
