<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GCRTextSequence StructType
 * @subpackage Structs
 */
class GCRTextSequence extends AbstractStructBase
{
    /**
     * The sequence_number
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $sequence_number;
    /**
     * The text
     * @var string
     */
    public $text;
    /**
     * Constructor method for GCRTextSequence
     * @uses GCRTextSequence::setSequence_number()
     * @uses GCRTextSequence::setText()
     * @param int $sequence_number
     * @param string $text
     */
    public function __construct($sequence_number = null, $text = null)
    {
        $this
            ->setSequence_number($sequence_number)
            ->setText($text);
    }
    /**
     * Get sequence_number value
     * @return int|null
     */
    public function getSequence_number()
    {
        return $this->sequence_number;
    }
    /**
     * Set sequence_number value
     * @param int $sequence_number
     * @return \StructType\GCRTextSequence
     */
    public function setSequence_number($sequence_number = null)
    {
        // validation for constraint: int
        if (!is_null($sequence_number) && !(is_int($sequence_number) || ctype_digit($sequence_number))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($sequence_number, true), gettype($sequence_number)), __LINE__);
        }
        $this->sequence_number = $sequence_number;
        return $this;
    }
    /**
     * Get text value
     * @return string|null
     */
    public function getText()
    {
        return $this->text;
    }
    /**
     * Set text value
     * @param string $text
     * @return \StructType\GCRTextSequence
     */
    public function setText($text = null)
    {
        // validation for constraint: string
        if (!is_null($text) && !is_string($text)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($text, true), gettype($text)), __LINE__);
        }
        $this->text = $text;
        return $this;
    }
}
