<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RiskLegalRestraintAdministrator StructType
 * @subpackage Structs
 */
class RiskLegalRestraintAdministrator extends AbstractStructBase
{
    /**
     * The role
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $role;
    /**
     * The name
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The address
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\RiskAddress
     */
    public $address;
    /**
     * Constructor method for RiskLegalRestraintAdministrator
     * @uses RiskLegalRestraintAdministrator::setRole()
     * @uses RiskLegalRestraintAdministrator::setName()
     * @uses RiskLegalRestraintAdministrator::setAddress()
     * @param string $role
     * @param string $name
     * @param \StructType\RiskAddress $address
     */
    public function __construct($role = null, $name = null, \StructType\RiskAddress $address = null)
    {
        $this
            ->setRole($role)
            ->setName($name)
            ->setAddress($address);
    }
    /**
     * Get role value
     * @return string|null
     */
    public function getRole()
    {
        return $this->role;
    }
    /**
     * Set role value
     * @param string $role
     * @return \StructType\RiskLegalRestraintAdministrator
     */
    public function setRole($role = null)
    {
        // validation for constraint: string
        if (!is_null($role) && !is_string($role)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($role, true), gettype($role)), __LINE__);
        }
        $this->role = $role;
        return $this;
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \StructType\RiskLegalRestraintAdministrator
     */
    public function setName($name = null)
    {
        // validation for constraint: string
        if (!is_null($name) && !is_string($name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($name, true), gettype($name)), __LINE__);
        }
        $this->name = $name;
        return $this;
    }
    /**
     * Get address value
     * @return \StructType\RiskAddress|null
     */
    public function getAddress()
    {
        return $this->address;
    }
    /**
     * Set address value
     * @param \StructType\RiskAddress $address
     * @return \StructType\RiskLegalRestraintAdministrator
     */
    public function setAddress(\StructType\RiskAddress $address = null)
    {
        $this->address = $address;
        return $this;
    }
}
