<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RouteCoordinatesRD StructType
 * @subpackage Structs
 */
class RouteCoordinatesRD extends AbstractStructBase
{
    /**
     * The number
     * @var int
     */
    public $number;
    /**
     * The coordinates
     * @var string
     */
    public $coordinates;
    /**
     * Constructor method for RouteCoordinatesRD
     * @uses RouteCoordinatesRD::setNumber()
     * @uses RouteCoordinatesRD::setCoordinates()
     * @param int $number
     * @param string $coordinates
     */
    public function __construct($number = null, $coordinates = null)
    {
        $this
            ->setNumber($number)
            ->setCoordinates($coordinates);
    }
    /**
     * Get number value
     * @return int|null
     */
    public function getNumber()
    {
        return $this->number;
    }
    /**
     * Set number value
     * @param int $number
     * @return \StructType\RouteCoordinatesRD
     */
    public function setNumber($number = null)
    {
        // validation for constraint: int
        if (!is_null($number) && !(is_int($number) || ctype_digit($number))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($number, true), gettype($number)), __LINE__);
        }
        $this->number = $number;
        return $this;
    }
    /**
     * Get coordinates value
     * @return string|null
     */
    public function getCoordinates()
    {
        return $this->coordinates;
    }
    /**
     * Set coordinates value
     * @param string $coordinates
     * @return \StructType\RouteCoordinatesRD
     */
    public function setCoordinates($coordinates = null)
    {
        // validation for constraint: string
        if (!is_null($coordinates) && !is_string($coordinates)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($coordinates, true), gettype($coordinates)), __LINE__);
        }
        $this->coordinates = $coordinates;
        return $this;
    }
}
