<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SepaBankAccountData StructType
 * @subpackage Structs
 */
class SepaBankAccountData extends AbstractStructBase
{
    /**
     * The bban
     * @var string
     */
    public $bban;
    /**
     * The iban
     * @var string
     */
    public $iban;
    /**
     * The bic
     * @var string
     */
    public $bic;
    /**
     * Constructor method for SepaBankAccountData
     * @uses SepaBankAccountData::setBban()
     * @uses SepaBankAccountData::setIban()
     * @uses SepaBankAccountData::setBic()
     * @param string $bban
     * @param string $iban
     * @param string $bic
     */
    public function __construct($bban = null, $iban = null, $bic = null)
    {
        $this
            ->setBban($bban)
            ->setIban($iban)
            ->setBic($bic);
    }
    /**
     * Get bban value
     * @return string|null
     */
    public function getBban()
    {
        return $this->bban;
    }
    /**
     * Set bban value
     * @param string $bban
     * @return \StructType\SepaBankAccountData
     */
    public function setBban($bban = null)
    {
        // validation for constraint: string
        if (!is_null($bban) && !is_string($bban)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($bban, true), gettype($bban)), __LINE__);
        }
        $this->bban = $bban;
        return $this;
    }
    /**
     * Get iban value
     * @return string|null
     */
    public function getIban()
    {
        return $this->iban;
    }
    /**
     * Set iban value
     * @param string $iban
     * @return \StructType\SepaBankAccountData
     */
    public function setIban($iban = null)
    {
        // validation for constraint: string
        if (!is_null($iban) && !is_string($iban)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($iban, true), gettype($iban)), __LINE__);
        }
        $this->iban = $iban;
        return $this;
    }
    /**
     * Get bic value
     * @return string|null
     */
    public function getBic()
    {
        return $this->bic;
    }
    /**
     * Set bic value
     * @param string $bic
     * @return \StructType\SepaBankAccountData
     */
    public function setBic($bic = null)
    {
        // validation for constraint: string
        if (!is_null($bic) && !is_string($bic)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($bic, true), gettype($bic)), __LINE__);
        }
        $this->bic = $bic;
        return $this;
    }
}
